Userpoint Management
Operations related to UserPoints, the root node in the Datamart graph representing a unique individual with a 360° view of all connected identifiers, profiles, activities, segments, and consents. UserPoints can be identified or anonymous, and the platform automatically performs identity resolution by merging UserPoints when common identifiers are discovered, migrating all data to the survivor UserPoint.
Relevant documentation:
Find user point quarantine status
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/user_points/{user_point_id}/quarantine_status HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": {
"datamart_id": 0,
"user_point_id": "123e4567-e89b-12d3-a456-426614174000",
"quarantined": false,
"hyper_point": false
}
}Find user profiles by user point id
User identifier in one of the following format : - a UUID (a.k.a userpoint id) - user_point_id=xxx where xxx is a UUID - compartment_id=xxx,user_account_id=yyy - user_agent_id=xxx - email_hash=xxx
^([0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|user_point_id=[0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|compartment_id=\d+,user_account_id=\S+|user_account_id=\S+(,compartment_id=\d+)?|user_agent_id=\S+|email_hash=\S+)$falseSuccess !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/user_points/{user_point_identifier}/user_profiles HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": [
{
"first_name": "text",
"compartment_id": "text",
"last_name": "text",
"creation_date": "2026-01-01T00:00:00.000Z",
"is_client": false,
"email": "text",
"birth_date": "2026-01-01T00:00:00.000Z",
"user_account_id": "text"
}
],
"count": 1
}Upsert user profile by user point id into specific compartement
User identifier in one of the following format : - a UUID (a.k.a userpoint id) - user_point_id=xxx where xxx is a UUID - compartment_id=xxx,user_account_id=yyy - user_agent_id=xxx - email_hash=xxx
^([0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|user_point_id=[0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|compartment_id=\d+,user_account_id=\S+|user_account_id=\S+(,compartment_id=\d+)?|user_agent_id=\S+|email_hash=\S+)$Force replace (mutually exclusive with merge_objects)
falseAllow deep merge of objects (mutually exclusive with force_replace)
falsenew update strategy (ignore merge_objects and force_replace)
iso8601 date time
falseiso8601 date time
Success !
Error response
Error response
Error response
Error response
Error response
Error response
PUT /v1/datamarts/{datamart_id}/user_points/{user_point_identifier}/user_profiles/compartment_id={compartment_id} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 205
{
"first_name": "text",
"compartment_id": "text",
"last_name": "text",
"creation_date": "2026-01-01T00:00:00.000Z",
"is_client": false,
"email": "text",
"birth_date": "2026-01-01T00:00:00.000Z",
"user_account_id": "text"
}{
"status": "ok",
"data": {
"first_name": "text",
"compartment_id": "text",
"last_name": "text",
"creation_date": "2026-01-01T00:00:00.000Z",
"is_client": false,
"email": "text",
"birth_date": "2026-01-01T00:00:00.000Z",
"user_account_id": "text"
}
}Upsert user profile into specific user account id
User identifier in one of the following format : - a UUID (a.k.a userpoint id) - user_point_id=xxx where xxx is a UUID - compartment_id=xxx,user_account_id=yyy - user_agent_id=xxx - email_hash=xxx
^([0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|user_point_id=[0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|compartment_id=\d+,user_account_id=\S+|user_account_id=\S+(,compartment_id=\d+)?|user_agent_id=\S+|email_hash=\S+)$Force replace (mutually exclusive with merge_objects)
falseAllow deep merge of objects (mutually exclusive with force_replace)
falsenew update strategy (ignore merge_objects and force_replace)
iso8601 date time
falseiso8601 date time
Success !
Error response
Error response
Error response
Error response
Error response
Error response
PUT /v1/datamarts/{datamart_id}/user_points/{user_point_identifier}/user_profiles/compartment_id={compartment_id}/user_account_id={user_account_id} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 205
{
"first_name": "text",
"compartment_id": "text",
"last_name": "text",
"creation_date": "2026-01-01T00:00:00.000Z",
"is_client": false,
"email": "text",
"birth_date": "2026-01-01T00:00:00.000Z",
"user_account_id": "text"
}{
"status": "ok",
"data": {
"first_name": "text",
"compartment_id": "text",
"last_name": "text",
"creation_date": "2026-01-01T00:00:00.000Z",
"is_client": false,
"email": "text",
"birth_date": "2026-01-01T00:00:00.000Z",
"user_account_id": "text"
}
}Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/user_points/{user_point_id}/logs HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"first_result": 1,
"data": [
{
"identifier": {
"type": "USER_ACCOUNT",
"compartment_id": "text",
"user_account_id": "text",
"expiration_ts": 0
},
"origin_datamart_id": 0,
"cause": {
"transaction_call_type": "USER_ACTIVITY_SAVE",
"activity_id": "123e4567-e89b-12d3-a456-426614174000"
},
"subject_user_point_id": "123e4567-e89b-12d3-a456-426614174000",
"subject_datamart_id": 0,
"ts": 0
}
],
"max_results": 1,
"status": "ok",
"total": 1,
"count": 1
}User identifier in one of the following format : - a UUID (a.k.a userpoint id) - user_point_id=xxx where xxx is a UUID - compartment_id=xxx,user_account_id=yyy - user_agent_id=xxx - email_hash=xxx
^([0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|user_point_id=[0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|compartment_id=\d+,user_account_id=\S+|user_account_id=\S+(,compartment_id=\d+)?|user_agent_id=\S+|email_hash=\S+)$Success response
Error response
Error response
Error response
Error response
Error response
Error response
DELETE /v1/datamarts/{datamart_id}/user_points/{user_point_identifier} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok"
}Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/user_points?user_point_id=text HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"data": [
{
"user_point_id": "123e4567-e89b-12d3-a456-426614174000",
"creation_ts": 0
}
],
"max_results": 1,
"status": "ok",
"total": 1,
"first_result": 1,
"count": 1
}Last updated
Was this helpful?